Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061959 - Merge account should not prompt for creating a new account if the target does not exist
Summary: Merge account should not prompt for creating a new account if the target does...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-OpenID
Version: development
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 23:21 UTC by Damian Jansen
Modified: 2015-07-31 01:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:48:52 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-02-05 23:21:28 UTC
Description of problem:
When selecting a merge target, if the user signs into a google account that does not have an account on Zanata it should not prompt to create a new account.

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Sign into Zanata with a google account
2. Go to Settings, and click Merge
3. Sign into a google account that is not related to the Zanata instance

Actual results:
Create new user is displayed

Expected results:
"Account not found" should show - it can't be merged if it doesn't exist.

Additional info:
If the user fills in the form and creates another user, they will be signed out of both accounts. Signing in to the original account and pressing merge again shows the "no such account" error.

Comment 1 Damian Jansen 2014-07-29 01:42:17 UTC
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde) - still an issue.

Comment 2 Zanata Migrator 2015-07-31 01:48:52 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-554


Note You need to log in before you can comment on or make changes to this bug.